cascading.operation.xml

## Class XPathOperation

- java.lang.Object
- - cascading.operation.BaseOperation<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>
  - - cascading.operation.xml.XPathOperation

- All Implemented Interfaces:
    DeclaresResults, Operation<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>, Traceable, java.io.Serializable
  Direct Known Subclasses:
    XPathFilter, XPathGenerator, XPathParser

      public class XPathOperation
      extends BaseOperation<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>

  Class XPathOperation is the base class for all XPath operations.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[][]` | `NAMESPACE_XHTML` Field NAMESPACE_XHTML
    `protected java.lang.String[][]` | `namespaces` Field namespaces
    `protected java.lang.String[]` | `paths` Field paths

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XPathOperation(int numArgs, Fields fieldDeclaration, java.lang.String[][] namespaces, java.lang.String... paths)`
    `protected` | `XPathOperation(int numArgs, java.lang.String[][] namespaces, java.lang.String... paths)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `protected java.util.List<javax.xml.xpath.XPathExpression>` | `getExpressions()`
    `javax.xml.transform.Transformer` | `getTransformer()` Method getTransformer returns the transformer of this XPathOperation object.
    `javax.xml.xpath.XPath` | `getXPath()` Method getXPath returns the XPath of this XPathOperation object.
    `int` | `hashCode()`
    `protected org.w3c.dom.Document` | `parseDocument(javax.xml.parsers.DocumentBuilder documentBuilder, java.lang.String argument)`
    `void` | `prepare(FlowProcess flowProcess, OperationCall<Pair<javax.xml.parsers.DocumentBuilder,Tuple>> operationCall)`
    `protected java.lang.String` | `writeAsXML(org.w3c.dom.Node node)`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE_XHTML

          public static final java.lang.String[][] NAMESPACE_XHTML

      Field NAMESPACE_XHTML

    - #### namespaces

          protected final java.lang.String[][] namespaces

      Field namespaces

    - #### paths

          protected final java.lang.String[] paths

      Field paths

  - ### Constructor Detail

    - #### XPathOperation

          protected XPathOperation(int numArgs,
                        Fields fieldDeclaration,
                        java.lang.String[][] namespaces,
                        java.lang.String... paths)

    - #### XPathOperation

          protected XPathOperation(int numArgs,
                        java.lang.String[][] namespaces,
                        java.lang.String... paths)

  - ### Method Detail

    - #### prepare

          public void prepare(FlowProcess flowProcess,
                     OperationCall<Pair<javax.xml.parsers.DocumentBuilder,Tuple>> operationCall)

      Specified by:
        `prepare` in interface `Operation<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>`
      Overrides:
        `prepare` in class `BaseOperation<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>`

    - #### getXPath

          public javax.xml.xpath.XPath getXPath()

      Method getXPath returns the XPath of this XPathOperation object.
      Returns:
        the XPath (type XPath) of this XPathOperation object.

    - #### getTransformer

          public javax.xml.transform.Transformer getTransformer()
                                                         throws javax.xml.transform.TransformerConfigurationException

      Method getTransformer returns the transformer of this XPathOperation object.
      Returns:
        the transformer (type Transformer) of this XPathOperation object.
      Throws:
        `javax.xml.transform.TransformerConfigurationException` - when

    - #### writeAsXML

          protected java.lang.String writeAsXML(org.w3c.dom.Node node)

    - #### getExpressions

          protected java.util.List<javax.xml.xpath.XPathExpression> getExpressions()

    - #### parseDocument

          protected org.w3c.dom.Document parseDocument(javax.xml.parsers.DocumentBuilder documentBuilder,
                                           java.lang.String argument)

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `BaseOperation<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseOperation<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.